Bug 309911 - Bamboo Pen & Touch Invert Touch gestures do not work
Summary: Bamboo Pen & Touch Invert Touch gestures do not work
Status: RESOLVED INTENTIONAL
Alias: None
Product: wacomtablet
Classification: Unclassified
Component: general (show other bugs)
Version: 1.99.2
Platform: unspecified Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Jörg Ehrichs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-11-11 16:58 UTC by Jörg Ehrichs
Modified: 2013-03-17 13:45 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jörg Ehrichs 2012-11-11 16:58:28 UTC
Inverting the scroll gestures do not work.

The settings does not do anything.
Need to check if switch mouse 5/6 like I do currently is this the correct way to deal with this. 
Or if touch gestures need to be handled otherweise
Comment 1 Alexander Maret-Huskinson 2012-11-11 19:35:31 UTC
Yes, this is a known bug. Scrolling can no longer be inverted by switching the mouse buttons, because xsetwacom does not accept the configuration. This is also documented in our system test specification. 

We need to talk to the linuxwacom guys and see if this is a bug or if there is another way to invert the scroll direction.
Comment 2 Jörg Ehrichs 2013-03-11 20:36:47 UTC
Won't be fixed in the driver part. This feature needs different handling from a gesture application.

See:
http://sourceforge.net/mailarchive/forum.php?thread_name=CANRwn3TsezwZ_XU5n_GjBj-SXXnCUtmiZtd%2BwLEiOYF%3Dc1AaAA%40mail.gmail.com&forum_name=linuxwacom-discuss
Comment 3 Alexander Maret-Huskinson 2013-03-17 13:45:03 UTC
Bug is fixed now, we came up with a different solution.

http://commits.kde.org/wacomtablet/c71709187c4ffaf0c76f2fbd286fd0eb093bd8e5